<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Employee Edit</title>

    <!-- if there must be multiple plugins, put here -->
    <link rel="stylesheet" th:href="@{assets/css/customCss/employee-edit.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.css}">
    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Employee </h3>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Employee</li>
                            </ol>
                        </nav>
                    </div>

                    <div class="card">
                        <div class="card-body" style="padding: 30px 0 0 0;">
                            <div class="template-demo d-flex justify-content-center bd-highlight mb-3">
                                <ul class="list-inline" style="border-bottom: 1px solid #afaaaa;">
                                    <li class="list-inline-item">
                                        <a href="#" class="btn btn-danger menuButton">General Info</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="#" class="btn btn-danger menuButton">Payroll</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Time Management </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Finance </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> History </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> More </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    
                        <div class="card-body">
                            <h4 class="card-title">General Info</h4>
                            <p class="card-description">Add, edit, or delete information about an employee</p>
                            <ul class="nav nav-pills nav-pills-success" id="pills-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">Employment Data</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab" aria-controls="pills-profile" aria-selected="false">Personal Data</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">Familiy Info</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">Education Info</a>
                                </li>
                            </ul>
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                                    <form class="form-sample" th:object="${employeeObj}">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Company</label>
                                                    <div class="col-sm-9">
                                                        <input type="text" class="form-control" id="companyId" value="Yayasan Tazkia Cendekia" />
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Organization Name*</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="matrikulasi">
                                                            <option value="">Matrikulasi</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Job Position*</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="jobPosition">
                                                            <option value="">Pembina Akhwat</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Job Level*</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="jobLevel">
                                                            <option value="">Staff</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Employment Status*</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="employmenStatus">
                                                            <option value="">Contract</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Branch</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="branch">
                                                            <option value="">Institut Tazkia</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Join Date*</label>
                                                    <div class="col-sm-9">
                                                        <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                            <span class="input-group-addon input-group-append border-left">
                                                                <span class="fa fa-calendar input-group-text"></span>
                                                            </span>
                                                            <input type="text" class="form-control form-control-sm" id="joinDate">
                                                        </div>
                                                        <label for="joinDate" class="validation_error_message mt-2 text-danger joinDate" style="margin-left: 5px;"></label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Length of Service</label>
                                                    <div class="col-sm-9">
                                                        <input type="text" class="form-control" id="lengthOfService"/>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">End Contract Date*</label>
                                                    <div class="col-sm-9">
                                                        <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                            <span class="input-group-addon input-group-append border-left">
                                                                <span class="fa fa-calendar input-group-text"></span>
                                                            </span>
                                                            <input type="text" class="form-control form-control-sm" id="endContractDate">
                                                        </div>
                                                        <label for="endContractDate" class="validation_error_message mt-2 text-danger endContractDate" style="margin-left: 5px;"></label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Grade</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="grade">
                                                            <option value="">-Select Grade-</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Class</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="clasS">
                                                            <option value="">-Select Class-</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Approval Line</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="approvalLine">
                                                            <option value="">-Select Employee-</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row d-flex flex-row-reverse">
                                            <button type="submit" id="saveEmploymentData" class="btn btn-sm btn-outline-primary btn-fw">
                                                <i class="fa fa-save"></i> Save Employment Data
                                            </button>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
                                        <div class="media">
                                        <img class="mr-3 w-25 rounded" th:src="@{assets/images/samples/300X300/10.jpg}" alt="sample image">
                                        <div class="media-body">
                                            <p>I'm thinking two circus clowns dancing. You? Finding a needle in a haystack isn't hard when every straw is computerized. Tell him time is of the essence. Somehow, I doubt that. You have a good heart, Dexter.</p>
                                        </div>
                                        </div>
                                </div>
                                <div class="tab-pane fade" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">
                                    <div class="media">
                                    <img class="mr-3 w-25 rounded" th:src="@{assets/images/samples/300x300/14.jpg}" alt="sample image">
                                    <div class="media-body">
                                        <p> I'm really more an apartment person. This man is a knight in shining armor. Oh I beg to differ, I think we have a lot to discuss. After all, you are a client. You all right, Dexter? </p>
                                        <p> I'm generally confused most of the time. Cops, another community I'm not part of. You're a killer. I catch killers. Hello, Dexter Morgan. </p>
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/typeahead.js/typeahead.bundle.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <!-- End plugin js for this page -->
    <script th:src="@{assets/js/tabs.js}"></script>
    <script th:src="@{assets/js/typeahead.js}"></script>
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/customJs/employee-edit-general-info.js}"></script>
    <!-- Custom js for this page -->
    
    <!-- End custom js for this page -->
</body>

</html>